; $LastChangedDate: 2008-05-18 23:48:26 -0500 (Sun, 18 May 2008) $
; $LastChangedRevision: 1810 $
; $HeadURL: svn://osiris/scheme-bos-clug/tags/1.07/2-prm-feat-tsts.scm $
(module 2-prm-feat-tsts mzscheme
  
  (require "1-prm-feat.scm"
           (planet "test.ss" ("schematics" "schemeunit.plt" 2 8)))
  
  (provide 2-prm-feat-tsts)
  
  (define 2-prm-feat-tsts
    (test-suite 
     "Tests for 2-prm-feat-tsts"
     
     (test-case 
      "prim-obj-creation"
      (let ([obj (prim-obj-creation)])
        (check-not-false obj "creation")))
     
     (test-case 
      "prim-obj-msg-passing"
      (let ([obj (prim-obj-msg-passing)])
        (check-not-false obj "creation")
        (check-not-false (obj 'msg) "message passing")))
     
     (test-case 
      "prim-obj-lex-scope"
      (let ([obj (prim-obj-lex-scope)])
        (check-not-false obj "creation")
        (check-not-false (obj 'msg) "message passing" )
        (check-eq? (cdr (obj 'msg)) 23 "lexical environment"))))))