; $LastChangedDate: 2008-05-18 23:48:26 -0500 (Sun, 18 May 2008) $
; $LastChangedRevision: 1810 $
; $HeadURL: svn://osiris/scheme-bos-clug/tags/1.07/3-A-prim-obj.scm $
(module 3-A-prim-obj mzscheme
  
  (provide (all-defined))
  
  (define person
    (λ () 
      (define name #f)
      (define age-years #f)
      
      (define set-name (λ (arg) (set! name arg)))
      (define get-name (λ () name))
      (define set-age-years (λ (arg) (set! age-years arg)))
      (define get-age-years (λ () age-years))
      
      (define age-in-days (λ () (* age-years 365)))
      
      (λ (msg . args) 
        (case msg
          [(set-name) (apply set-name args)]
          [(get-name) (get-name)]
          [(set-age-years) (apply set-age-years args)]
          [(get-age-years) (get-age-years)]
          [(age-in-days) (age-in-days)]
          [else (error "message not understood" msg)])))))